pub enum StatusIcon {
    Failure,
    Warning,
    Success,
    Directory,
}

pub fn get_status_icon(icon: StatusIcon, no_emoji: bool) -> String {
    match icon {
        StatusIcon::Failure => { if no_emoji { "F -".to_string() } else { "❌".to_string() } }
        StatusIcon::Warning => { if no_emoji { "W -".to_string() } else { "⚠️".to_string() } }
        StatusIcon::Success => { if no_emoji { "S -".to_string() } else { "✔️".to_string() } }
        StatusIcon::Directory => { if no_emoji { "".to_string() } else { "📂".to_string() } }
    }
}